Bug 1762705 - logicbug: java-1.8.0-openjdk 1:1.8.0.232.b09-0.fc2 can't find java.security.rpmnew [NEEDINFO]
Summary: logicbug: java-1.8.0-openjdk 1:1.8.0.232.b09-0.fc2 can't find java.security.r...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: java-1.8.0-openjdk
Version: 8.5
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: jiri vanek
QA Contact: OpenJDK QA
URL:
Whiteboard:
: 1806214 (view as bug list)
Depends On: 1953923
Blocks: 1806214
TreeView+ depends on / blocked
 
Reported: 2019-10-17 09:58 UTC by customercare
Modified: 2022-01-27 15:44 UTC (History)
16 users (show)

Fixed In Version: java-1.8.0-openjdk-1.8.0.302.b01-0.1.ea.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1806214 (view as bug list)
Environment:
Last Closed: 2021-11-09 17:44:15 UTC
Type: Bug
Target Upstream Version:
lilhuang: needinfo? (jvanek)
brclark: needinfo? (jvanek)
jwright: needinfo? (cww)


Attachments (Terms of Use)
java-1.8.0-openjdk-headless-1:1.8.0.292.b10-0.fc33.x86_64 rpm update - failed to restore java.security.rpmnew (6.97 KB, text/plain)
2021-05-02 09:29 UTC, Colin Barker
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2021:3864 0 None None None 2021-11-09 17:44:38 UTC

Description customercare 2019-10-17 09:58:08 UTC
Description of problem:


I don't think it will be a big issue, but something does not work problem when updating java-1.8.0-openjdk to 232b09

"mv: der Aufruf von stat für '/etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc29.x86_64/lib/security/java.security.rpmnew' ist nicht möglich: No such file or directory
"

dnf update output: 

================================================================================
 Package                     Arch   Version                  Repository    Size
================================================================================
Aktualisieren:
 java-1.8.0-openjdk          x86_64 1:1.8.0.232.b09-0.fc29   @commandline 255 k
 java-1.8.0-openjdk-headless x86_64 1:1.8.0.232.b09-0.fc29   @commandline  32 M

Transaktionsübersicht
================================================================================
Aktualisieren  2 Pakete

Gesamtgröße: 32 M
Pakete werden heruntergeladen:
Transaktionsüberprüfung wird ausgeführt
Transaktionsprüfung war erfolgreich.
Transaktion wird getestet
Transaktionstest war erfolgreich.
Transaktion wird ausgeführt
  Ausgeführtes Scriptlet: java-1.8.0-openjdk-headless-1:1.8.0.232.b09-0.f   1/1 
  Vorbereitung läuft    :                                                   1/1 
  Aktualisieren         : java-1.8.0-openjdk-headless-1:1.8.0.232.b09-0.f   1/4 
Warnung: /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc29.x86_64/lib/security/java.policy erstellt als /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc29.x86_64/lib/security/java.policy.rpmnew
Warnung: /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc29.x86_64/lib/security/java.security erstellt als /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc29.x86_64/lib/security/java.security.rpmnew

  Ausgeführtes Scriptlet: java-1.8.0-openjdk-headless-1:1.8.0.232.b09-0.f   1/4 
restored /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc29.x86_64/lib/security/java.security.rpmnew to /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc29.x86_64/lib/security/java.security
restored /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc29.x86_64/lib/security/java.policy.rpmnew to /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc29.x86_64/lib/security/java.policy
mv: der Aufruf von stat für '/etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc29.x86_64/lib/security/java.security.rpmnew' ist nicht möglich: No such file or directory
FAILED to restore /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc29.x86_64/lib/security/java.security.rpmnew to /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc29.x86_64/lib/security/java.security
mv: der Aufruf von stat für '/etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc29.x86_64/lib/security/java.policy.rpmnew' ist nicht möglich: No such file or directory
FAILED to restore /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc29.x86_64/lib/security/java.policy.rpmnew to /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc29.x86_64/lib/security/java.policy

Comment 1 Severin Gehwolf 2019-10-17 16:14:59 UTC
I was seeing them too for F30, but couldn't see that it had any ill effect. Assigning to Jiri as he knows more about this (it may be related to copy-jdk-configs).

Comment 2 grumpey0 2019-10-26 12:40:20 UTC
Observed today while on F30
Cut and paste of error from dnf output below: 
Upgrading        : java-1.8.0-openjdk-headless-1:1.8.0.232.b09-0.fc30.x86_64                                                                                                                                12/125
warning: /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc30.x86_64/lib/security/java.policy created as /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc30.x86_64/lib/security/java.policy.rpmnew
warning: /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc30.x86_64/lib/security/java.security created as /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc30.x86_64/lib/security/java.security.rpmnew

  Running scriptlet: java-1.8.0-openjdk-headless-1:1.8.0.232.b09-0.fc30.x86_64                                                                                                                                12/125
restored /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc30.x86_64/lib/security/java.security.rpmnew to /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc30.x86_64/lib/security/java.security
restored /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc30.x86_64/lib/security/java.policy.rpmnew to /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc30.x86_64/lib/security/java.policy
mv: cannot stat '/etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc30.x86_64/lib/security/java.security.rpmnew': No such file or directory
FAILED to restore /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc30.x86_64/lib/security/java.security.rpmnew to /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc30.x86_64/lib/security/java.security
mv: cannot stat '/etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc30.x86_64/lib/security/java.policy.rpmnew': No such file or directory
FAILED to restore /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc30.x86_64/lib/security/java.policy.rpmnew to /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.232.b09-0.fc30.x86_64/lib/security/java.policy

Thanks

Comment 3 Ben Cotton 2019-10-31 18:44:09 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 jiri vanek 2020-02-25 14:41:51 UTC
*** Bug 1806214 has been marked as a duplicate of this bug. ***

Comment 5 jiri vanek 2020-02-25 14:45:01 UTC
hi!

And was soemthing actually broken after the update? I doubt a bit.
The only thing to compalin about is the "FAILED" wording. Maybe "warning" would be better.
Do you have some custom content in java.security or java.policy?

Can you rm -rf all likely forgotten old direcotries of java in /usr/lib/jvm and all possibly incorrect rpmnew suffixed files please?

Comment 7 customercare 2020-02-25 15:20:11 UTC
Who exactly did you ask to clean up?

Comment 8 Mason Loring Bliss 2020-02-25 15:23:47 UTC
customercare@resellerdesktop.de,

Apologies for the confusion. I'd cloned this bug as a RHEL customer had 
noticed it in RHEL 8.1, but that clone of the bug was closed and rolled back 
into this ticket, with the public reply you'd noted.

If Engineering doesn't want to have a separate bug for the RHEL 8.1 issue 
we'll do our best to keep the comment threads separate.

Comment 11 jiri vanek 2020-02-26 10:21:05 UTC
(In reply to customercare from comment #7)
> Who exactly did you ask to clean up?

in /usr/lib/jvm should be one directory per jdk-major and bunch of related links only.
It could happen, that some leftower directory was left behind, and is now confusing the update process.
Also, from previous transactions, could remain some *.rpmnew files in your jdk directory, which are now confusing current transactions.

Comment 14 Ben Cotton 2020-04-30 20:22:57 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2020-05-26 18:24:18 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 18 malte.roc 2020-07-24 09:40:46 UTC
This is still happening to me on Fedora 32. Something that might be worth mentioning is that I didn't update from previous versions of Fedora but installed Fedora 32.

Dnf outputs the following warnings/errors during the update process (unfortunately in german, sorry)

Warnung: /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.262.b10-1.fc32.x86_64/lib/security/java.security erstellt als /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.262.b10-1.fc32.x86_64/lib/security/java.security.rpmnew

  Ausgeführtes Scriptlet: java-1.8.0-openjdk-headless-1:1.8.0.262.b10    35/122
restored /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.262.b10-1.fc32.x86_64/lib/security/java.security.rpmnew to /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.262.b10-1.fc32.x86_64/lib/security/java.security
mv: der Aufruf von stat für '/etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.262.b10-1.fc32.x86_64/lib/security/java.security.rpmnew' ist nicht möglich: Datei oder Verzeichnis nicht gefunden
FAILED to restore /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.262.b10-1.fc32.x86_64/lib/security/java.security.rpmnew to /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.262.b10-1.fc32.x86_64/lib/security/java.security

/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.252.b09-1.fc32.x86_64/jre/bin/java wurde nicht als eine Alternative für java konfiguriert
/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.252.b09-1.fc32.x86_64/jre wurde nicht als eine Alternative für jre_openjdk konfiguriert
/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.252.b09-1.fc32.x86_64/jre wurde nicht als eine Alternative für jre_1.8.0 konfiguriert
/usr/lib/jvm/jre-1.8.0-openjdk-1.8.0.252.b09-1.fc32.x86_64 wurde nicht als eine Alternative für jre_1.8.0_openjdk konfiguriert
Warnung: %postun(java-1.8.0-openjdk-headless-1:1.8.0.252.b09-1.fc32.x86_64) Scriptlet fehlgeschlagen, Beenden-Status 2


Something I have noticed which seems odd to me is the date the configuration file "java.security" was last changed:

$ ls -la /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.262.b10-1.fc32.x86_64/lib/security/java.security 
-rw-r--r--. 1 root root 46477  1. Jan 2014  /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.262.b10-1.fc32.x86_64/lib/security/java.security


Thanks

Comment 19 jiri vanek 2020-07-24 10:16:58 UTC
Hi!. I sitll did not propagated the script to downstream as I'm unabel to find a time to test it properly.
But at least Ihad started to work on it:  https://pagure.io/copy_jdk_configs/c/935c15342988df74fdc7b1e770e5b3c54d6d5949?branch=master

Comment 21 customercare 2021-01-12 14:58:41 UTC
(In reply to malte.roc from comment #18)
> This is still happening to me on Fedora 32. Something that might be worth
> mentioning is that I didn't update from previous versions of Fedora but
> installed Fedora 32.
> 
...
> 
> Something I have noticed which seems odd to me is the date the configuration
> file "java.security" was last changed:
> 
> $ ls -la
> /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.262.b10-1.fc32.x86_64/
> lib/security/java.security 
> -rw-r--r--. 1 root root 46477  1. Jan 2014 
> /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.262.b10-1.fc32.x86_64/
> lib/security/java.security
> 

That is exactly the what i wanted to ask, as soon as i read you made a fresh install. It's not possible to trigger rpm to make a .rpmnew file, if there is no old file in place, so something,
i.e. the preinstall script could touch the files, before the mainroutine unpacks the real files and stumples over the pretouched files.

@Jiri: is that possible?

Comment 24 Colin Barker 2021-05-02 09:29:42 UTC
Created attachment 1778477 [details]
java-1.8.0-openjdk-headless-1:1.8.0.292.b10-0.fc33.x86_64 rpm update - failed to restore java.security.rpmnew

Also has occurred in fc33 on 2 May 2021 update.

comment stripped copy attached of /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.292.b10-0.fc33.x86_64/lib/security/java.security

# date
Sun  2 May 09:33:56 BST 2021

# uname -a
Linux xxxxxx.home 5.11.16-200.fc33.x86_64 #1 SMP Wed Apr 21 16:08:37 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux


# dnf update
Last metadata expiration check: 0:10:11 ago on Sun 02 May 2021 09:24:00 BST.
Dependencies resolved.
===================================================================================================================================================
 Package                                       Architecture             Version                                    Repository                 Size
===================================================================================================================================================
Upgrading:
 augeas-libs                                   x86_64                   1.12.0-6.fc33                              updates                   402 k
 fedora-gpg-keys                               noarch                   33-5                                       updates                   111 k
 fedora-repos                                  noarch                   33-5                                       updates                    11 k
 fedora-repos-modular                          noarch                   33-5                                       updates                    10 k
 hplip                                         x86_64                   3.21.2-2.fc33                              updates                    18 M
 hplip-common                                  x86_64                   3.21.2-2.fc33                              updates                    74 k
 hplip-libs                                    x86_64                   3.21.2-2.fc33                              updates                   168 k
 java-1.8.0-openjdk                            x86_64                   1:1.8.0.292.b10-0.fc33                     updates                   278 k
 java-1.8.0-openjdk-devel                      x86_64                   1:1.8.0.292.b10-0.fc33                     updates                   9.2 M
 java-1.8.0-openjdk-headless                   x86_64                   1:1.8.0.292.b10-0.fc33                     updates                    33 M
 libsane-hpaio                                 x86_64                   3.21.2-2.fc33                              updates                    93 k

Transaction Summary
===================================================================================================================================================
Upgrade  11 Packages

Total download size: 61 M
Is this ok [y/N]: y
Downloading Packages:
(1/11): fedora-repos-33-4_33-5.noarch.drpm                                                                          47 kB/s | 7.9 kB     00:00    
(2/11): fedora-gpg-keys-33-4_33-5.noarch.drpm                                                                      183 kB/s |  36 kB     00:00    
(3/11): fedora-repos-modular-33-4_33-5.noarch.drpm                                                                  35 kB/s | 7.5 kB     00:00    
(4/11): augeas-libs-1.12.0-6.fc33.x86_64.rpm                                                                       2.2 MB/s | 402 kB     00:00    
(5/11): hplip-common-3.21.2-2.fc33.x86_64.rpm                                                                      529 kB/s |  74 kB     00:00    
(6/11): hplip-libs-3.21.2-2.fc33.x86_64.rpm                                                                        1.3 MB/s | 168 kB     00:00    
(7/11): java-1.8.0-openjdk-1.8.0.292.b10-0.fc33.x86_64.rpm                                                         1.6 MB/s | 278 kB     00:00    
(8/11): java-1.8.0-openjdk-devel-1.8.0.292.b10-0.fc33.x86_64.rpm                                                   2.0 MB/s | 9.2 MB     00:04    
(9/11): libsane-hpaio-3.21.2-2.fc33.x86_64.rpm                                                                     1.2 MB/s |  93 kB     00:00    
(10/11): hplip-3.21.2-2.fc33.x86_64.rpm                                                                            2.2 MB/s |  18 MB     00:08    
(11/11): java-1.8.0-openjdk-headless-1.8.0.292.b10-0.fc33.x86_64.rpm                                               2.3 MB/s |  33 MB     00:14    
[DRPM 1/3] fedora-repos-33-4_33-5.noarch.drpm: done                                                                                               
[DRPM 2/3] fedora-gpg-keys-33-4_33-5.noarch.drpm: done                                                                                            
[DRPM 3/3] fedora-repos-modular-33-4_33-5.noarch.drpm: done                                                                                       
---------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                              3.8 MB/s |  61 MB     00:15     
Delta RPMs reduced 61.2 MB of updates to 61.1 MB (0.1% saved)
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Running scriptlet: java-1.8.0-openjdk-headless-1:1.8.0.292.b10-0.fc33.x86_64                                                                 1/1 
  Preparing        :                                                                                                                           1/1 
  Upgrading        : java-1.8.0-openjdk-headless-1:1.8.0.292.b10-0.fc33.x86_64                                                                1/22 
warning: /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.292.b10-0.fc33.x86_64/lib/security/java.security created as /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.292.b10-0.fc33.x86_64/lib/security/java.security.rpmnew

  Running scriptlet: java-1.8.0-openjdk-headless-1:1.8.0.292.b10-0.fc33.x86_64                                                                1/22 
restored /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.292.b10-0.fc33.x86_64/lib/security/java.security.rpmnew to /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.292.b10-0.fc33.x86_64/lib/security/java.security
mv: cannot stat '/etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.292.b10-0.fc33.x86_64/lib/security/java.security.rpmnew': No such file or directory
FAILED to restore /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.292.b10-0.fc33.x86_64/lib/security/java.security.rpmnew to /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.292.b10-0.fc33.x86_64/lib/security/java.security

  Upgrading        : java-1.8.0-openjdk-1:1.8.0.292.b10-0.fc33.x86_64                                                                         2/22 
  Running scriptlet: java-1.8.0-openjdk-1:1.8.0.292.b10-0.fc33.x86_64                                                                         2/22 
  Upgrading        : hplip-common-3.21.2-2.fc33.x86_64                                                                                        3/22 
  Upgrading        : hplip-libs-3.21.2-2.fc33.x86_64                                                                                          4/22 
  Upgrading        : libsane-hpaio-3.21.2-2.fc33.x86_64                                                                                       5/22 
  Upgrading        : fedora-gpg-keys-33-5.noarch                                                                                              6/22 
  Upgrading        : fedora-repos-33-5.noarch                                                                                                 7/22 
  Upgrading        : fedora-repos-modular-33-5.noarch                                                                                         8/22 
  Upgrading        : hplip-3.21.2-2.fc33.x86_64                                                                                               9/22 
  Running scriptlet: hplip-3.21.2-2.fc33.x86_64                                                                                               9/22 
  Upgrading        : java-1.8.0-openjdk-devel-1:1.8.0.292.b10-0.fc33.x86_64                                                                  10/22 
  Running scriptlet: java-1.8.0-openjdk-devel-1:1.8.0.292.b10-0.fc33.x86_64                                                                  10/22 
  Upgrading        : augeas-libs-1.12.0-6.fc33.x86_64                                                                                        11/22 
  Cleanup          : hplip-3.21.2-1.fc33.x86_64                                                                                              12/22 
  Cleanup          : libsane-hpaio-3.21.2-1.fc33.x86_64                                                                                      13/22 
  Cleanup          : hplip-libs-3.21.2-1.fc33.x86_64                                                                                         14/22 
  Cleanup          : fedora-repos-modular-33-4.noarch                                                                                        15/22 
  Cleanup          : java-1.8.0-openjdk-devel-1:1.8.0.282.b08-0.fc33.x86_64                                                                  16/22 
  Running scriptlet: java-1.8.0-openjdk-devel-1:1.8.0.282.b08-0.fc33.x86_64                                                                  16/22 
  Cleanup          : fedora-repos-33-4.noarch                                                                                                17/22 
  Cleanup          : fedora-gpg-keys-33-4.noarch                                                                                             18/22 
  Cleanup          : hplip-common-3.21.2-1.fc33.x86_64                                                                                       19/22 
  Cleanup          : java-1.8.0-openjdk-1:1.8.0.282.b08-0.fc33.x86_64                                                                        20/22 
  Running scriptlet: java-1.8.0-openjdk-1:1.8.0.282.b08-0.fc33.x86_64                                                                        20/22 
  Cleanup          : java-1.8.0-openjdk-headless-1:1.8.0.282.b08-0.fc33.x86_64                                                               21/22 
  Running scriptlet: java-1.8.0-openjdk-headless-1:1.8.0.282.b08-0.fc33.x86_64                                                               21/22 
  Cleanup          : augeas-libs-1.12.0-4.fc33.x86_64                                                                                        22/22 
  Running scriptlet: java-1.8.0-openjdk-1:1.8.0.292.b10-0.fc33.x86_64                                                                        22/22 
  Running scriptlet: java-1.8.0-openjdk-devel-1:1.8.0.292.b10-0.fc33.x86_64                                                                  22/22 
  Running scriptlet: augeas-libs-1.12.0-4.fc33.x86_64                                                                                        22/22 
  Running scriptlet: augeas-libs-1.12.0-4.fc33.x86_64                                                                                                         22/22 
  Running scriptlet: augeas-libs-1.12.0-4.fc33.x86_64                                                                                                                                    22/22 
  Running scriptlet: augeas-libs-1.12.0-4.fc33.x86_64                                                                                                                                         22/22 
  Running scriptlet: augeas-libs-1.12.0-4.fc33.x86_64                                                                                                                                           22/22 
  Verifying        : augeas-libs-1.12.0-6.fc33.x86_64                                                                                                                                            1/22 
  Verifying        : augeas-libs-1.12.0-4.fc33.x86_64                                                                                                                                            2/22 
  Verifying        : fedora-gpg-keys-33-5.noarch                                                                                                                                                 3/22 
  Verifying        : fedora-gpg-keys-33-4.noarch                                                                                                                                                 4/22 
  Verifying        : fedora-repos-33-5.noarch                                                                                                                                                    5/22 
  Verifying        : fedora-repos-33-4.noarch                                                                                                                                                    6/22 
  Verifying        : fedora-repos-modular-33-5.noarch                                                                                                                                            7/22 
  Verifying        : fedora-repos-modular-33-4.noarch                                                                                                                                            8/22 
  Verifying        : hplip-3.21.2-2.fc33.x86_64                                                                                                                                                  9/22 
  Verifying        : hplip-3.21.2-1.fc33.x86_64                                                                                                                                                 10/22 
  Verifying        : hplip-common-3.21.2-2.fc33.x86_64                                                                                                                                          11/22 
  Verifying        : hplip-common-3.21.2-1.fc33.x86_64                                                                                                                                          12/22 
  Verifying        : hplip-libs-3.21.2-2.fc33.x86_64                                                                                                                                            13/22 
  Verifying        : hplip-libs-3.21.2-1.fc33.x86_64                                                                                                                                            14/22 
  Verifying        : java-1.8.0-openjdk-1:1.8.0.292.b10-0.fc33.x86_64                                                                                                                           15/22 
  Verifying        : java-1.8.0-openjdk-1:1.8.0.282.b08-0.fc33.x86_64                                                                                                                           16/22 
  Verifying        : java-1.8.0-openjdk-devel-1:1.8.0.292.b10-0.fc33.x86_64                                                                                                                     17/22 
  Verifying        : java-1.8.0-openjdk-devel-1:1.8.0.282.b08-0.fc33.x86_64                                                                                                                     18/22 
  Verifying        : java-1.8.0-openjdk-headless-1:1.8.0.292.b10-0.fc33.x86_64                                                                                                                  19/22 
  Verifying        : java-1.8.0-openjdk-headless-1:1.8.0.282.b08-0.fc33.x86_64                                                                                                                  20/22 
  Verifying        : libsane-hpaio-3.21.2-2.fc33.x86_64                                                                                                                                         21/22 
  Verifying        : libsane-hpaio-3.21.2-1.fc33.x86_64                                                                                                                                         22/22 

Upgraded:
  augeas-libs-1.12.0-6.fc33.x86_64     fedora-gpg-keys-33-5.noarch       fedora-repos-33-5.noarch                           fedora-repos-modular-33-5.noarch                         hplip-3.21.2-2.fc33.x86_64                                 
  hplip-common-3.21.2-2.fc33.x86_64    hplip-libs-3.21.2-2.fc33.x86_64   java-1.8.0-openjdk-1:1.8.0.292.b10-0.fc33.x86_64   java-1.8.0-openjdk-devel-1:1.8.0.292.b10-0.fc33.x86_64   java-1.8.0-openjdk-headless-1:1.8.0.292.b10-0.fc33.x86_64  
  libsane-hpaio-3.21.2-2.fc33.x86_64  

Complete!

Comment 25 Colin Barker 2021-05-02 09:32:28 UTC
Additional note: no apparent permission issue.
# ls -lZ /etc/java/java-1.8.0-openjdk/java-1.8.0-openjdk-1.8.0.292.b10-0.fc33.x86_64/lib/security
total 68
-rw-r--r--. 1 root root system_u:object_r:etc_t:s0  2488 Apr 22 01:56 blacklisted.certs
lrwxrwxrwx. 1 root root system_u:object_r:etc_t:s0    21 Apr 22 02:56 cacerts -> /etc/pki/java/cacerts
-rw-r--r--. 1 root root system_u:object_r:etc_t:s0  2567 Apr 22 01:56 java.policy
-rw-r--r--. 1 root root system_u:object_r:etc_t:s0 50675 Jan  1  2014 java.security
-rw-r--r--. 1 root root system_u:object_r:etc_t:s0   139 Apr 22 01:58 nss.cfg
drwxr-xr-x. 4 root root system_u:object_r:etc_t:s0  4096 Apr 22 02:56 policy

Comment 26 jiri vanek 2021-05-03 14:05:10 UTC
Hello Colin, I heavily appreciate yor testing and input, unluckily, you had not tested the pathced CJC, as it is still in testing:
https://bodhi.fedoraproject.org/updates/FEDORA-2021-db657a74bc
https://bodhi.fedoraproject.org/updates/FEDORA-2021-8a1ade5d36

Comment 30 Colin Barker 2021-05-07 20:36:45 UTC
Latest dnf update for -
 java-latest-openjdk               x86_64 1:16.0.1.0.9-1.rolling.fc33
 java-latest-openjdk-headless      x86_64 1:16.0.1.0.9-1.rolling.fc33
no errors observed.

Comment 43 errata-xmlrpc 2021-11-09 17:44:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (java-1.8.0-openjdk bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2021:3864


Note You need to log in before you can comment on or make changes to this bug.